%define realname   Test-Expect

Name:		perl-%{realname}
Version:	0.31
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Automated driving and testing of terminal-based programs
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel 
BuildRequires:  perl(Expect::Simple)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Class::Accessor::Chained)
BuildArch:      noarch

%description
Test::Expect is a module for automated driving and testing of terminal-based
programs. It is handy for testing interactive programs which have a prompt, and
is based on the same concepts as the Tcl Expect tool.

Test::Expect is intended for use in a test script.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor

%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=%buildroot installdirs=vendor
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.31-2mdv2009.0
+ Revision: 268733
- rebuild early 2009.0 package (before pixel changes)

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.0
+ Revision: 205398
- update to new version 0.31

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.30-3mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-3mdv2008.0
+ Revision: 23808
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.30-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Mar 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- 0.30

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.29-4mdk
- Do not ship empty dir

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.29-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.29-2mdk
- Buildrequires fix

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.29-1mdk
- First mandriva package

